Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableInterceptor
Interface ClientRequestInterceptorOperations

All Superinterfaces:
  InterceptorOperations

All Known Subinterfaces:
  ClientRequestInterceptor

public interface ClientRequestInterceptorOperations
extends InterceptorOperations

Interface definition : ClientRequestInterceptor

Author:
  OpenORB Compiler

Method Summary
`void` | `receive_exception(ClientRequestInfo ri)` Operation receive_exception
`void` | `receive_other(ClientRequestInfo ri)` Operation receive_other
`void` | `receive_reply(ClientRequestInfo ri)` Operation receive_reply
`void` | `send_poll(ClientRequestInfo ri)` Operation send_poll
`void` | `send_request(ClientRequestInfo ri)` Operation send_request

Methods inherited from interface org.omg.PortableInterceptor.InterceptorOperations
`destroy, name`

Method Detail

### send_request

    public void send_request(ClientRequestInfo ri)
                      throws ForwardRequest

  Operation send_request

### send_poll

    public void send_poll(ClientRequestInfo ri)

  Operation send_poll

### receive_reply

    public void receive_reply(ClientRequestInfo ri)

  Operation receive_reply

### receive_exception

    public void receive_exception(ClientRequestInfo ri)
                           throws ForwardRequest

  Operation receive_exception

### receive_other

    public void receive_other(ClientRequestInfo ri)
                       throws ForwardRequest

  Operation receive_other

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD